Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### TWO_PI (6.28318...)
Examples |
    float f = 0.0;
    beginShape(POLYGON);
    while(f < TWO_PI) {
      vertex(width/2 + cos(f)*40, height/2 + sin(f)*40);
      f += PI/12.0;
    }
    endShape();
Description | TWO_PI is a mathematical constant with the value 6.28318530717958647693. It is twice the ratio of the circumference of a circle to its diameter. It is useful in combination with the trigonometric functions sin() and cos().
Syntax |
    TWO_PI
Parameters |
Usage | Web & Application
Related | PI HALF_PI

Updated on December 20, 2005 02:03:00pm PST